// For authoring Nightwatch tests, see
// http://nightwatchjs.org/guide#usage

//testcase name：其他收费
//author：feizhao
//date：2017-11-10
//discription：用于测试登陆后，收费操作中对用户的其他收费操作
//step：1.登录售气收费，收费操作主页面  2.输入用户编号，用户姓名，电话等查询用户
//      3. 操作按钮下点击其他收费 4.对需要打印的用户进行打印操作
//修改人：
//修改日期：

const accountConfig = {
  username: '1',
  password: '1',
}
 module.exports = {
   ' tests': function (browser) {
     browser
    .url('http://127.0.0.1:8080').maximizeWindow()
     .pause(1000)
     .waitForElementVisible('body', 100)
     .setValue('input[type=text]',accountConfig.username)
     .pause(100)
     .setValue('input[type=password]',accountConfig.password)
     .pause(100)
     .click('button[id=login-button]')
     .pause(1000)
     .click('#vc-tree-name-售气收费')
     .pause(1000)
     .click('#vc-tree-name-收费')
//用户查寻-机表收费
     .pause(1000)
     .setValue('input[placeholder=用户姓名]','黄红丽')
     .pause(500)
     .setValue('input[placeholder=电话]','18192592986')
     .pause(500)
     .click('.form-inline :nth-child(20) button')
     .pause(7000)
     .click('#vc-datagrid-name-0 :nth-child(6) div button')
     .pause('500')
     .click('#vc-datagrid-name-0 :nth-child(6) div ul :nth-child(2)')
     .pause(1000)
     .click('#f_brand_spec')
     .pause(300)
     .click('#燃气表费')
     .pause(300)
     .click('#f_charge_type')
     .pause(300)
     .click('#国税发票')
     .pause(300)
     .clearValue('input[placeholder=单价]')
     .pause(100)
     .setValue('input[placeholder=单价]','10')
     .pause(1000)
     .clearValue('input[placeholder=数量]')
     .pause(100)
     .setValue('input[placeholder=数量]','10')
     .pause('500')
     .setValue('.form-control.invalid.untouched.pristine','这是一个测试程序')
     .pause(500)
     .click('#components-comOpe-othCha-确认')
//发票打印
    //  .pause(1000)
    //  .click('#vc-reportprint-name')
     .pause(1000)
     .end();
   }
 }
